YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000378YaCy[All Projects] Generalpublic2014-02-22 13:172014-03-02 06:15
Reporterktplulo 
Assigned ToBuBu 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
ETAnone 
Platform1.7.0_25OSDebian GNU/LinuxOS Versionjessieāˆ’a few
Product VersionYaCy 1.6 
Target VersionFixed in Version 
Summary0000378: Going to fc*.* sites through the proxy just opens local YaCy page.
DescriptionGoing to an URL matching http://fc*.* [^] through the proxy just opens local YaCy page, as if replacing the authority part of the URI with the YaCy's domain+port.
Steps To ReproduceUse YaCy's proxy to go to any of these sites:

http://fc.ru/ [^]
http://fcancer.org/Status.html [^]
http://fcan.net/nothing [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000724)
ktplulo (reporter)
2014-02-22 13:24

Also fd*.*, but not other f<number/letter>.
(0000731)
BuBu (developer)
2014-02-25 03:34

hey.. good catch.

internal hint for problemsolver:
issue is the net.yacy.cora.protocol.Domains INTRANET_PATTERNS regex
(0000746)
BuBu (developer)
2014-03-02 06:15

fixed with
https://gitorious.org/yacy/rc1/commit/6878c90f99407cba409302528436c8adc359be41 [^]

- Issue History
Date Modified Username Field Change
2014-02-22 13:17 ktplulo New Issue
2014-02-22 13:24 ktplulo Note Added: 0000724
2014-02-25 03:34 BuBu Note Added: 0000731
2014-03-02 06:15 BuBu Note Added: 0000746
2014-03-02 06:15 BuBu Status new => resolved
2014-03-02 06:15 BuBu Resolution open => fixed
2014-03-02 06:15 BuBu Assigned To => BuBu


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker